Debian Bug report logs - #680796
libmojomojo-perl: FTBFS: tests failed

version graph

Package: src:libmojomojo-perl; Maintainer for src:libmojomojo-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 8 Jul 2012 17:21:27 UTC

Severity: serious

Tags: confirmed, sid, wheezy

Found in version libmojomojo-perl/1.05+dfsg-2

Fixed in version libmojomojo-perl/1.05+dfsg-3

Done: Florian Schlichting <fschlich@zedat.fu-berlin.de>

Bug is archived. No further changes may be made.

Forwarded to https://rt.cpan.org/Public/Bug/Display.html?id=78821

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680796; Package src:libmojomojo-perl. (Sun, 08 Jul 2012 17:21:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 08 Jul 2012 17:21:30 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: libmojomojo-perl: FTBFS: tests failed
Date: Sun, 8 Jul 2012 19:11:23 +0200
Source: libmojomojo-perl
Version: 1.05+dfsg-2
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120708 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/«BUILDDIR»/libmojomojo-perl-1.05+dfsg'
> PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/01app.t t/02pod.t t/03podcoverage.t t/04context.t t/05cookie.t t/app_leak.t t/defang_xss.t t/error_page.t t/formatter_all_markdown.t t/formatter_all_textile.t t/formatter_amazon.t t/formatter_comment.t t/formatter_cpanhyperlink.t t/formatter_defang.t t/formatter_dir.t t/formatter_docbook.t t/formatter_file.t t/formatter_gist.t t/formatter_googlesearch.t t/formatter_idlink.t t/formatter_include.t t/formatter_irclog.t t/formatter_markdown.t t/formatter_pod.t t/formatter_redirect.t t/formatter_rss.t t/formatter_syntax_highlight.t t/formatter_textile.t t/formatter_toc.t t/formatter_wiki.t t/formatter_wikipedialink.t t/formatter_youtube.t t/notabs.t t/permissions.t t/revisions.t t/schema_DBIC.t t/schema_DBIC_Attachment.t t/schema_DBIC_Content.t t/schema_DBIC_Page.t t/schema_DBIC_Person.t t/schema_DBIC_Tag.t t/selenium.t t/special-page.t t/unicode.t t/wikispaces2markdown.t t/worddiff.t t/c/attachment.t t/c/bottomnav.t t/c/comment.t t/c/email.t t/c/image.t t/c/jsrpc.t t/c/page.t t/c/page_delete.t t/c/page_edit.t t/c/tag.t t/c/toplinks.t t/c/user.t
> t/01app.t ....................... ok
> t/02pod.t ....................... ok
> 
>     ***********************************************
>     ERROR. Looks like you need to deploy a database.
>     Run script/mojomojo_spawn_db.pl
>     ***********************************************
> 
> (Error: DBIx::Class::ResultSet::next(): DBI Exception: DBD::SQLite::db prepare_cached failed: no such table: person [for Statement "SELECT me.id, me.active, me.registered, me.views, me.photo, me.login, me.name, me.email, me.pass, me.timezone, me.born, me.gender, me.occupation, me.industry, me.interests, me.movies, me.music FROM person me"] at /«BUILDDIR»/libmojomojo-perl-1.05+dfsg/blib/lib/MojoMojo.pm line 92
> ) at /«BUILDDIR»/libmojomojo-perl-1.05+dfsg/blib/lib/MojoMojo.pm line 96, <DATA> line 1000.
> t/03podcoverage.t ............... ok
> t/04context.t ................... ok
> t/05cookie.t .................... ok
> t/app_leak.t .................... skipped: need Devel::LeakGuard::Object
> DBIx::Class::ResultSet::find(): Non-numeric value supplied for column 'me.id' despite the numeric datatype at /«BUILDDIR»/libmojomojo-perl-1.05+dfsg/blib/lib/MojoMojo/Controller/Attachment.pm line 161
> t/c/attachment.t ................ ok
> t/c/bottomnav.t ................. ok
> t/c/comment.t ................... ok
> t/c/email.t ..................... ok
> t/c/image.t ..................... ok
> DBIx::Class::ResultSet::find(): NULL/undef values supplied for requested unique constraint 'primary' (NULL values in column(s): 'id'). This is almost certainly not what you wanted, though you can set DBIC_NULLABLE_KEY_NOWARN to disable this warning. at /«BUILDDIR»/libmojomojo-perl-1.05+dfsg/blib/lib/MojoMojo/Controller/Jsrpc.pm line 54
> t/c/jsrpc.t ..................... ok
> t/c/page.t ...................... ok
> t/c/page_delete.t ............... ok
> t/c/page_edit.t ................. ok
> t/c/tag.t ....................... ok
> t/c/toplinks.t .................. ok
> t/c/user.t ...................... ok
> t/defang_xss.t .................. ok
> t/error_page.t .................. ok
> t/formatter_all_markdown.t ...... ok
> t/formatter_all_textile.t ....... ok
> t/formatter_amazon.t ............ skipped: Requirements not installed for Amazon Formatter
> t/formatter_comment.t ........... ok
> t/formatter_cpanhyperlink.t ..... ok
> t/formatter_defang.t ............ ok
> t/formatter_dir.t ............... ok
> t/formatter_docbook.t ........... skipped: Requirements not installed for MojoMojo::Formatter::DocBook
> t/formatter_file.t .............. ok
> 
>     ***********************************************
>     ERROR. Looks like you need to deploy a database.
>     Run script/mojomojo_spawn_db.pl
>     ***********************************************
> 
> (Error: DBIx::Class::ResultSet::next(): DBI Exception: DBD::SQLite::db prepare_cached failed: no such table: person [for Statement "SELECT me.id, me.active, me.registered, me.views, me.photo, me.login, me.name, me.email, me.pass, me.timezone, me.born, me.gender, me.occupation, me.industry, me.interests, me.movies, me.music FROM person me"] at /«BUILDDIR»/libmojomojo-perl-1.05+dfsg/blib/lib/MojoMojo.pm line 92
> ) at /«BUILDDIR»/libmojomojo-perl-1.05+dfsg/blib/lib/MojoMojo.pm line 96, <DATA> line 1000.
> t/formatter_gist.t .............. ok
> t/formatter_googlesearch.t ...... ok
> 
>     ***********************************************
>     ERROR. Looks like you need to deploy a database.
>     Run script/mojomojo_spawn_db.pl
>     ***********************************************
> 
> (Error: DBIx::Class::ResultSet::next(): DBI Exception: DBD::SQLite::db prepare_cached failed: no such table: person [for Statement "SELECT me.id, me.active, me.registered, me.views, me.photo, me.login, me.name, me.email, me.pass, me.timezone, me.born, me.gender, me.occupation, me.industry, me.interests, me.movies, me.music FROM person me"] at /«BUILDDIR»/libmojomojo-perl-1.05+dfsg/blib/lib/MojoMojo.pm line 92
> ) at /«BUILDDIR»/libmojomojo-perl-1.05+dfsg/blib/lib/MojoMojo.pm line 96, <DATA> line 1000.
> t/formatter_idlink.t ............ ok
> 
> #   Failed test 'include part of wiki, absolute URL'
> #   at t/formatter_include.t line 24.
> #                   '<p><!--/*SC*/DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/*EC*/-->
> # <html defang_xmlns="http://www.w3.org/1999/xhtml" defang_xml:lang="en" lang="en"></p>
> # 
> # <p><head>
> #     <title>  Help  - MojoMojo </title>  <meta http-equiv="Content-Type" defang_content="text/html; charset=utf-8" />
> #     <meta defang_http-equiv="powered by" defang_content="MojoMojo 1.05" />
> #     <!--defang_link defang_href="http://localhost/.static/css/jquery.autocomplete.css" type="text/css" defang_rel="stylesheet" /-->
> #     <!--defang_link defang_rel="alternate" type="application/atom+xml" title="Atom" defang_href="http://localhost/help.atom" /-->
> #     <!--defang_link defang_rel="alternate" type="application/rss+xml" title="RSS 2.0 Headlines" defang_href="http://localhost/help.rss" /-->
> #     <!--defang_link defang_rel="alternate" type="application/rss+xml" title="RSS 2.0 Full" defang_href="http://localhost/help.rss_full" /-->  <!--defang_link defang_rel="canonical" defang_href="http://localhost/help.view" /-->  <!--defang_link defang_rel="shortcut icon" defang_href="http://localhost/.static/favicon.ico" /-->
> #     <style type="text/css"><!----></style>
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.form.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.livequery.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.editinplace.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.autocomplete.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.cookies.2.0.1.min.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/wiki.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/swfupload.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/swfupload.queue.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/json/en.po.json"--><!--  --><!--/defang_script-->  <!--defang_script type="text/javascript"-->
> #         <!-- jQuery.uri_for = function(path) { return 'http://localhost' + path }
> #         jQuery.uri_for_static= function(path) { return 'http://localhost/.static//' + path } -->
> #     <!--/defang_script-->
> # </head></p>
> # 
> # <p><body id="page"></p>
> # 
> # <div id="container" class="container">   
> # <div id="header">
> #     <h1>    Help    </h1>
> # </div> <div id="breadcrumbs">
> #     <div class="float-left">  
> #         <a href="http://localhost/">MojoMojo</a>   
> #         / <a href="http://localhost/help">Help</a>   
> #     </div>
> # </div>
> # <div id="toplinks"> 
> #     <form action="http://localhost/help.search" method="get">   <ul>
> #             <li><a href="http://localhost/.recent" title="Pages sorted by when they were last changed" accesskey="U">Recent</a></li>
> #             <li><a href="http://localhost/.tags" title="All tags in this wiki" accesskey="T">Tags</a></li>
> #             <li><a href="http://localhost/.users" title="Who wrote what" defang_accesskey="">Authors</a></li>
> #             <li><a href="http://localhost/.feeds" title="Subscribe to changes by RSS" defang_accesskey="">Feeds</a></li>
> #              <li> <input type="hidden" name="search_type" value="all" />
> #                 <input type="text" id="searchField" name="q" style="" value="Search"/>
> #             </li>
> #         </ul>  </form>
> # 
> #     <ul id="toplinks-for-user">
> #         <li><a href="http://localhost/help.register">Register</a></li>  <li><a href="http://localhost/help.login" title="Get in there" accesskey="L">Log in</a></li> 
> #     </ul>
> # </div>
> # <div id="pagenav">
> #     <ul> 
> #         <li><a title="Change page content" href="http://localhost/help.edit"  accesskey="E"  defang_rel="nofollow">Edit page</a></li>    
> #         <li>Gallery</li> 
> #         <li><a href="http://localhost/help.attachments">Attachments</a></li>
> #         <li><a href="http://localhost/help.subtree" title="Alphabetically sorted list of pages" accesskey="A">Sub pages</a></li> 
> #     </ul>
> # </div>
> # 
> # <div id="content">
> # 
> #     <div id="current">
> #         <h1>Help Index</h1>
> # 
> # <p><div class="toc">
> # <ul>
> #    <li><a href="#Creating_Pages">Creating Pages</a>
> #       <ul>
> #          <li><a href="#Create_and_Follow_a_Wiki_Link">Create and Follow a Wiki Link</a></li>
> #          <li><a href="#Browse_to_a_URL">Browse to a URL</a></li>
> #       </ul>
> #    </li>
> #    <li><a href="#Wiki_Syntax">Wiki Syntax</a></li>
> # </ul>
> # </div><h2><a name="Creating_Pages"></a>Creating Pages</h2></p>
> # 
> # <h3><a name="Create_and_Follow_a_Wiki_Link"></a>Create and Follow a Wiki Link</h3>
> # 
> # <p>One way to create a new page is by creating a wiki link to it from another page.  For example, suppose I was working on a page about spoken languages and I want to link to a new page about Norwegian as type of spoken language.  Then I could create the link:</p>
> # 
> # <pre>[[Norwegian]]</pre>
> # 
> # <p>Subsequently, clicking on the link would take me into edit mode for the new page.</p>
> # 
> # <h3><a name="Browse_to_a_URL"></a>Browse to a URL</h3>
> # 
> # <p>You can also initiate a new page by browsing to the URL that you would like the page to reside at.  It's probably worth taking a moment to decide the hierarchy one would like.  Suppose for example, you want to write about the Catalan Language.  You may create a page at:</p>
> # 
> # <pre>/Languages/Spoken/Catalan</pre>
> # 
> # <p>On the other hand, you may want to write about the Perl computer programming language.  This could be done at:</p>
> # 
> # <pre>/Languages/Programming/Perl</pre>
> # 
> # <p>In either case, simply type in the URL of the page you want to create, then you will be prompted to create it.</p>
> # 
> # <h2><a name="Wiki_Syntax"></a>Wiki Syntax</h2>
> # 
> # <p>You can choose one of two wiki sytnax for you wiki.  Either <em>textile</em> or <em>markdown</em>.  See the Site Settings for the option to choose.    When in edit mode, one can access a help link to either wiki syntax.  One can also use or mixin HTML. </p>
> #   </div>
> # 
> #     <div id="changes" class="display-none">
> #         <p id="message">
> #             <small> Showing changes from previous revision. <del class="diffdel">Removed</del> | <ins class="diffins">Added</ins>
> #             </small>
> #         </p>
> #         <div id="diff"></div>
> #     </div>
> # 
> #     <div class="byline">
> #         <acronym title="Revised on 1970-01-01 at 00:00:00 by user">Revision</acronym> by <a class="existingWikiWord" href="/admin.profile">user</a>, 1970-01-01 </div>
> # 
> # </div> 
> # 
> #       <div id="tags"> <dl>
> #         <dt>My tags:</dt>
> #         <dd>&nbsp;  </dd>
> #         <dt>Popular tags:</dt>
> #         <dd>&nbsp;             <a class="tag" title="1"             href="http://localhost/help.recent/bar_1341732054" >bar_1341732054</a>
> #                         <a class="tag" title="1"             href="http://localhost/help.recent/foo_1341732054" >foo_1341732054</a>
> #                </dd>
> #     </dl>
> #      </div>  <div id="bottomnav">
> #         <ul>  
> #             <li><a title="Change page content" href="http://localhost/help.edit"  defang_rel="nofollow">Edit page</a></li>     
> #             <li><a title="Page meta information" href="http://localhost/help.info" accesskey="I">Page Info</a></li>     
> #             <li class="views-navbar">
> #                 <span class="title">Views: <a title="Format page for printing" href="http://localhost/help.print">Print</a></span>
> #                 <a title="Subscribe to page changes" href="http://localhost/help.rss">RSS</a>
> #                 <a title="Inline for including content" href="http://localhost/help.inline" defang_rel="nofollow">Inline</a>  </li>  
> #             <li class="set-language-navbar">
> #                 <span class="title">Set language:</span> 
> #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=en">en</a> 
> #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=de">de</a> 
> #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=fr">fr</a> 
> #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=ja">ja</a> 
> #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=no">no</a> 
> #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=ca">ca</a> 
> #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=es">es</a> 
> #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=pl">pl</a> 
> #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=ru">ru</a> 
> #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=it">it</a> 
> #             </li>
> #         </ul>
> #     </div>
> # <div id="powered">
> #     <a href="http://www.catalystframework.org" target="_blank"><img src="http://localhost/.static/catalyst.png" alt="Powered by Catalyst" title="Powered by Catalyst" /></a>
> # </div>
> # 
> # </div>
> # 
> # <p><!--/*SC*/ end container /*EC*/-->
> # </body></p>
> # 
> # <p></html></p>
> # '
> #     doesn't match '(?^:\A<h1>Help)'
> 
> #   Failed test 'include part of wiki, relative URL'
> #   at t/formatter_include.t line 26.
> #                   '<p><!--/*SC*/DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/*EC*/-->
> # <html defang_xmlns="http://www.w3.org/1999/xhtml" defang_xml:lang="en" lang="en"></p>
> # 
> # <p><head>
> #     <title>  Help  - MojoMojo </title>  <meta http-equiv="Content-Type" defang_content="text/html; charset=utf-8" />
> #     <meta defang_http-equiv="powered by" defang_content="MojoMojo 1.05" />
> #     <!--defang_link defang_href="http://localhost/.static/css/jquery.autocomplete.css" type="text/css" defang_rel="stylesheet" /-->
> #     <!--defang_link defang_rel="alternate" type="application/atom+xml" title="Atom" defang_href="http://localhost/help.atom" /-->
> #     <!--defang_link defang_rel="alternate" type="application/rss+xml" title="RSS 2.0 Headlines" defang_href="http://localhost/help.rss" /-->
> #     <!--defang_link defang_rel="alternate" type="application/rss+xml" title="RSS 2.0 Full" defang_href="http://localhost/help.rss_full" /-->  <!--defang_link defang_rel="canonical" defang_href="http://localhost/help.view" /-->  <!--defang_link defang_rel="shortcut icon" defang_href="http://localhost/.static/favicon.ico" /-->
> #     <style type="text/css"><!----></style>
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.form.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.livequery.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.editinplace.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.autocomplete.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.cookies.2.0.1.min.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/wiki.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/swfupload.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/swfupload.queue.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/json/en.po.json"--><!--  --><!--/defang_script-->  <!--defang_script type="text/javascript"-->
> #         <!-- jQuery.uri_for = function(path) { return 'http://localhost' + path }
> #         jQuery.uri_for_static= function(path) { return 'http://localhost/.static//' + path } -->
> #     <!--/defang_script-->
> # </head></p>
> # 
> # <p><body id="page"></p>
> # 
> # <div id="container" class="container">   
> # <div id="header">
> #     <h1>    Help    </h1>
> # </div> <div id="breadcrumbs">
> #     <div class="float-left">  
> #         <a href="http://localhost/">MojoMojo</a>   
> #         / <a href="http://localhost/help">Help</a>   
> #     </div>
> # </div>
> # <div id="toplinks"> 
> #     <form action="http://localhost/help.search" method="get">   <ul>
> #             <li><a href="http://localhost/.recent" title="Pages sorted by when they were last changed" accesskey="U">Recent</a></li>
> #             <li><a href="http://localhost/.tags" title="All tags in this wiki" accesskey="T">Tags</a></li>
> #             <li><a href="http://localhost/.users" title="Who wrote what" defang_accesskey="">Authors</a></li>
> #             <li><a href="http://localhost/.feeds" title="Subscribe to changes by RSS" defang_accesskey="">Feeds</a></li>
> #              <li> <input type="hidden" name="search_type" value="all" />
> #                 <input type="text" id="searchField" name="q" style="" value="Search"/>
> #             </li>
> #         </ul>  </form>
> # 
> #     <ul id="toplinks-for-user">
> #         <li><a href="http://localhost/help.register">Register</a></li>  <li><a href="http://localhost/help.login" title="Get in there" accesskey="L">Log in</a></li> 
> #     </ul>
> # </div>
> # <div id="pagenav">
> #     <ul> 
> #         <li><a title="Change page content" href="http://localhost/help.edit"  accesskey="E"  defang_rel="nofollow">Edit page</a></li>    
> #         <li>Gallery</li> 
> #         <li><a href="http://localhost/help.attachments">Attachments</a></li>
> #         <li><a href="http://localhost/help.subtree" title="Alphabetically sorted list of pages" accesskey="A">Sub pages</a></li> 
> #     </ul>
> # </div>
> # 
> # <div id="content">
> # 
> #     <div id="current">
> #         <h1>Help Index</h1>
> # 
> # <p><div class="toc">
> # <ul>
> #    <li><a href="#Creating_Pages">Creating Pages</a>
> #       <ul>
> #          <li><a href="#Create_and_Follow_a_Wiki_Link">Create and Follow a Wiki Link</a></li>
> #          <li><a href="#Browse_to_a_URL">Browse to a URL</a></li>
> #       </ul>
> #    </li>
> #    <li><a href="#Wiki_Syntax">Wiki Syntax</a></li>
> # </ul>
> # </div><h2><a name="Creating_Pages"></a>Creating Pages</h2></p>
> # 
> # <h3><a name="Create_and_Follow_a_Wiki_Link"></a>Create and Follow a Wiki Link</h3>
> # 
> # <p>One way to create a new page is by creating a wiki link to it from another page.  For example, suppose I was working on a page about spoken languages and I want to link to a new page about Norwegian as type of spoken language.  Then I could create the link:</p>
> # 
> # <pre>[[Norwegian]]</pre>
> # 
> # <p>Subsequently, clicking on the link would take me into edit mode for the new page.</p>
> # 
> # <h3><a name="Browse_to_a_URL"></a>Browse to a URL</h3>
> # 
> # <p>You can also initiate a new page by browsing to the URL that you would like the page to reside at.  It's probably worth taking a moment to decide the hierarchy one would like.  Suppose for example, you want to write about the Catalan Language.  You may create a page at:</p>
> # 
> # <pre>/Languages/Spoken/Catalan</pre>
> # 
> # <p>On the other hand, you may want to write about the Perl computer programming language.  This could be done at:</p>
> # 
> # <pre>/Languages/Programming/Perl</pre>
> # 
> # <p>In either case, simply type in the URL of the page you want to create, then you will be prompted to create it.</p>
> # 
> # <h2><a name="Wiki_Syntax"></a>Wiki Syntax</h2>
> # 
> # <p>You can choose one of two wiki sytnax for you wiki.  Either <em>textile</em> or <em>markdown</em>.  See the Site Settings for the option to choose.    When in edit mode, one can access a help link to either wiki syntax.  One can also use or mixin HTML. </p>
> #   </div>
> # 
> #     <div id="changes" class="display-none">
> #         <p id="message">
> #             <small> Showing changes from previous revision. <del class="diffdel">Removed</del> | <ins class="diffins">Added</ins>
> #             </small>
> #         </p>
> #         <div id="diff"></div>
> #     </div>
> # 
> #     <div class="byline">
> #         <acronym title="Revised on 1970-01-01 at 00:00:00 by user">Revision</acronym> by <a class="existingWikiWord" href="/admin.profile">user</a>, 1970-01-01 </div>
> # 
> # </div> 
> # 
> #       <div id="tags"> <dl>
> #         <dt>My tags:</dt>
> #         <dd>&nbsp;  </dd>
> #         <dt>Popular tags:</dt>
> #         <dd>&nbsp;             <a class="tag" title="1"             href="http://localhost/help.recent/bar_1341732054" >bar_1341732054</a>
> #                         <a class="tag" title="1"             href="http://localhost/help.recent/foo_1341732054" >foo_1341732054</a>
> #                </dd>
> #     </dl>
> #      </div>  <div id="bottomnav">
> #         <ul>  
> #             <li><a title="Change page content" href="http://localhost/help.edit"  defang_rel="nofollow">Edit page</a></li>     
> #             <li><a title="Page meta information" href="http://localhost/help.info" accesskey="I">Page Info</a></li>     
> #             <li class="views-navbar">
> #                 <span class="title">Views: <a title="Format page for printing" href="http://localhost/help.print">Print</a></span>
> #                 <a title="Subscribe to page changes" href="http://localhost/help.rss">RSS</a>
> #                 <a title="Inline for including content" href="http://localhost/help.inline" defang_rel="nofollow">Inline</a>  </li>  
> #             <li class="set-language-navbar">
> #                 <span class="title">Set language:</span> 
> #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=en">en</a> 
> #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=de">de</a> 
> #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=fr">fr</a> 
> #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=ja">ja</a> 
> #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=no">no</a> 
> #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=ca">ca</a> 
> #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=es">es</a> 
> #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=pl">pl</a> 
> #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=ru">ru</a> 
> #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=it">it</a> 
> #             </li>
> #         </ul>
> #     </div>
> # <div id="powered">
> #     <a href="http://www.catalystframework.org" target="_blank"><img src="http://localhost/.static/catalyst.png" alt="Powered by Catalyst" title="Powered by Catalyst" /></a>
> # </div>
> # 
> # </div>
> # 
> # <p><!--/*SC*/ end container /*EC*/-->
> # </body></p>
> # 
> # <p></html></p>
> # '
> #     doesn't match '(?^:\A<h1>Help)'
> 
> #   Failed test 'include the root page, absolute URL'
> #   at t/formatter_include.t line 29.
> #                   '<p><!--/*SC*/DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/*EC*/-->
> # <html defang_xmlns="http://www.w3.org/1999/xhtml" defang_xml:lang="en" lang="en"></p>
> # 
> # <p><head>
> #     <title>  /  - MojoMojo </title>  <meta http-equiv="Content-Type" defang_content="text/html; charset=utf-8" />
> #     <meta defang_http-equiv="powered by" defang_content="MojoMojo 1.05" />
> #     <!--defang_link defang_href="http://localhost/.static/css/jquery.autocomplete.css" type="text/css" defang_rel="stylesheet" /-->
> #     <!--defang_link defang_rel="alternate" type="application/atom+xml" title="Atom" defang_href="http://localhost/.atom" /-->
> #     <!--defang_link defang_rel="alternate" type="application/rss+xml" title="RSS 2.0 Headlines" defang_href="http://localhost/.rss" /-->
> #     <!--defang_link defang_rel="alternate" type="application/rss+xml" title="RSS 2.0 Full" defang_href="http://localhost/.rss_full" /-->  <!--defang_link defang_rel="canonical" defang_href="http://localhost/.view" /-->  <!--defang_link defang_rel="shortcut icon" defang_href="http://localhost/.static/favicon.ico" /-->
> #     <style type="text/css"><!----></style>
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.form.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.livequery.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.editinplace.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.autocomplete.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.cookies.2.0.1.min.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/wiki.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/swfupload.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/swfupload.queue.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/json/en.po.json"--><!--  --><!--/defang_script-->  <!--defang_script type="text/javascript"-->
> #         <!-- jQuery.uri_for = function(path) { return 'http://localhost' + path }
> #         jQuery.uri_for_static= function(path) { return 'http://localhost/.static//' + path } -->
> #     <!--/defang_script-->
> # </head></p>
> # 
> # <p><body id="page"></p>
> # 
> # <div id="container" class="container">   
> # <div id="header">
> #     <h1>    MojoMojo Home (/)    </h1>
> # </div> <div id="breadcrumbs">
> #     <div class="float-left">  
> #         <a href="http://localhost/">MojoMojo</a>   
> #     </div>
> # </div>
> # <div id="toplinks"> 
> #     <form action="http://localhost/.search" method="get">   <ul>
> #             <li><a href="http://localhost/.recent" title="Pages sorted by when they were last changed" accesskey="U">Recent</a></li>
> #             <li><a href="http://localhost/.tags" title="All tags in this wiki" accesskey="T">Tags</a></li>
> #             <li><a href="http://localhost/.users" title="Who wrote what" defang_accesskey="">Authors</a></li>
> #             <li><a href="http://localhost/.feeds" title="Subscribe to changes by RSS" defang_accesskey="">Feeds</a></li>
> #              <li> <input type="hidden" name="search_type" value="all" />
> #                 <input type="text" id="searchField" name="q" style="" value="Search"/>
> #             </li>
> #         </ul>  </form>
> # 
> #     <ul id="toplinks-for-user">
> #         <li><a href="http://localhost/.register">Register</a></li>  <li><a href="http://localhost/.login" title="Get in there" accesskey="L">Log in</a></li> 
> #     </ul>
> # </div>
> # <div id="pagenav">
> #     <ul> 
> #         <li><a title="Change page content" href="http://localhost/.edit"  accesskey="E"  defang_rel="nofollow">Edit page</a></li>    
> #         <li>Gallery</li> 
> #         <li><a href="http://localhost/.attachments">Attachments</a></li>
> #         <li><a href="http://localhost/.subtree" title="Alphabetically sorted list of pages" accesskey="A">Sub pages</a></li> 
> #     </ul>
> # </div>
> # 
> # <div id="content">
> # 
> #     <div id="current">
> #         <h1>Welcome to MojoMojo!</h1>
> # 
> # <p>This is your front page. To start administering your wiki, please log in with
> # username admin/password admin. Once you login you will be able to configure your
> # new wiki. If you want to play around a little, just create
> # a <span class="newWikiWord"><a title="Not found. Click to create this page." href="/New_Page.edit">New Page?</a></span> or edit this one through the edit link at the top of the page.</p>
> # 
> # <h2>Need some assistance?</h2>
> # 
> # <p>Check out our <a class="existingWikiWord" href="/help">Help</a> section.</p>
> #   </div>
> # 
> #     <div id="changes" class="display-none">
> #         <p id="message">
> #             <small> Showing changes from previous revision. <del class="diffdel">Removed</del> | <ins class="diffins">Added</ins>
> #             </small>
> #         </p>
> #         <div id="diff"></div>
> #     </div>
> # 
> #     <div class="byline">
> #         <acronym title="Revised on 1970-01-01 at 00:00:00 by user">Revision</acronym> by <a class="existingWikiWord" href="/admin.profile">user</a>, 1970-01-01 </div>
> # 
> # </div> 
> # 
> #       <div id="tags"> <dl>
> #         <dt>My tags:</dt>
> #         <dd>&nbsp;  </dd>
> #         <dt>Popular tags:</dt>
> #         <dd>&nbsp;             <a class="tag" title="1"             href="http://localhost/.recent/bar_1341732054" >bar_1341732054</a>
> #                         <a class="tag" title="1"             href="http://localhost/.recent/baz_1341732054" >baz_1341732054</a>
> #                         <a class="tag" title="1"             href="http://localhost/.recent/foo_1341732054" >foo_1341732054</a>
> #                </dd>
> #     </dl>
> #      </div>  <div id="bottomnav">
> #         <ul>  
> #             <li><a title="Change page content" href="http://localhost/.edit"  defang_rel="nofollow">Edit page</a></li>     
> #             <li><a title="Page meta information" href="http://localhost/.info" accesskey="I">Page Info</a></li>     
> #             <li class="views-navbar">
> #                 <span class="title">Views: <a title="Format page for printing" href="http://localhost/.print">Print</a></span>
> #                 <a title="Subscribe to page changes" href="http://localhost/.rss">RSS</a>
> #                 <a title="Inline for including content" href="http://localhost/.inline" defang_rel="nofollow">Inline</a>  </li>  
> #             <li class="set-language-navbar">
> #                 <span class="title">Set language:</span> 
> #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=en">en</a> 
> #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=de">de</a> 
> #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=fr">fr</a> 
> #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=ja">ja</a> 
> #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=no">no</a> 
> #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=ca">ca</a> 
> #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=es">es</a> 
> #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=pl">pl</a> 
> #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=ru">ru</a> 
> #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=it">it</a> 
> #             </li>
> #         </ul>
> #     </div>
> # <div id="powered">
> #     <a href="http://www.catalystframework.org" target="_blank"><img src="http://localhost/.static/catalyst.png" alt="Powered by Catalyst" title="Powered by Catalyst" /></a>
> # </div>
> # 
> # </div>
> # 
> # <p><!--/*SC*/ end container /*EC*/-->
> # </body></p>
> # 
> # <p></html></p>
> # '
> #     doesn't match '(?^:\A<h1>Welcome\sto\sMojoMojo)'
> 
> #   Failed test 'include the root page, relative URL'
> #   at t/formatter_include.t line 31.
> #                   '<p><!--/*SC*/DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/*EC*/-->
> # <html defang_xmlns="http://www.w3.org/1999/xhtml" defang_xml:lang="en" lang="en"></p>
> # 
> # <p><head>
> #     <title>  /  - MojoMojo </title>  <meta http-equiv="Content-Type" defang_content="text/html; charset=utf-8" />
> #     <meta defang_http-equiv="powered by" defang_content="MojoMojo 1.05" />
> #     <!--defang_link defang_href="http://localhost/.static/css/jquery.autocomplete.css" type="text/css" defang_rel="stylesheet" /-->
> #     <!--defang_link defang_rel="alternate" type="application/atom+xml" title="Atom" defang_href="http://localhost/.atom" /-->
> #     <!--defang_link defang_rel="alternate" type="application/rss+xml" title="RSS 2.0 Headlines" defang_href="http://localhost/.rss" /-->
> #     <!--defang_link defang_rel="alternate" type="application/rss+xml" title="RSS 2.0 Full" defang_href="http://localhost/.rss_full" /-->  <!--defang_link defang_rel="canonical" defang_href="http://localhost/.view" /-->  <!--defang_link defang_rel="shortcut icon" defang_href="http://localhost/.static/favicon.ico" /-->
> #     <style type="text/css"><!----></style>
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.form.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.livequery.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.editinplace.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.autocomplete.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.cookies.2.0.1.min.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/wiki.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/swfupload.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/swfupload.queue.js"--><!--  --><!--/defang_script-->
> #     <!--defang_script type="text/javascript" src="http://localhost/.static/json/en.po.json"--><!--  --><!--/defang_script-->  <!--defang_script type="text/javascript"-->
> #         <!-- jQuery.uri_for = function(path) { return 'http://localhost' + path }
> #         jQuery.uri_for_static= function(path) { return 'http://localhost/.static//' + path } -->
> #     <!--/defang_script-->
> # </head></p>
> # 
> # <p><body id="page"></p>
> # 
> # <div id="container" class="container">   
> # <div id="header">
> #     <h1>    MojoMojo Home (/)    </h1>
> # </div> <div id="breadcrumbs">
> #     <div class="float-left">  
> #         <a href="http://localhost/">MojoMojo</a>   
> #     </div>
> # </div>
> # <div id="toplinks"> 
> #     <form action="http://localhost/.search" method="get">   <ul>
> #             <li><a href="http://localhost/.recent" title="Pages sorted by when they were last changed" accesskey="U">Recent</a></li>
> #             <li><a href="http://localhost/.tags" title="All tags in this wiki" accesskey="T">Tags</a></li>
> #             <li><a href="http://localhost/.users" title="Who wrote what" defang_accesskey="">Authors</a></li>
> #             <li><a href="http://localhost/.feeds" title="Subscribe to changes by RSS" defang_accesskey="">Feeds</a></li>
> #              <li> <input type="hidden" name="search_type" value="all" />
> #                 <input type="text" id="searchField" name="q" style="" value="Search"/>
> #             </li>
> #         </ul>  </form>
> # 
> #     <ul id="toplinks-for-user">
> #         <li><a href="http://localhost/.register">Register</a></li>  <li><a href="http://localhost/.login" title="Get in there" accesskey="L">Log in</a></li> 
> #     </ul>
> # </div>
> # <div id="pagenav">
> #     <ul> 
> #         <li><a title="Change page content" href="http://localhost/.edit"  accesskey="E"  defang_rel="nofollow">Edit page</a></li>    
> #         <li>Gallery</li> 
> #         <li><a href="http://localhost/.attachments">Attachments</a></li>
> #         <li><a href="http://localhost/.subtree" title="Alphabetically sorted list of pages" accesskey="A">Sub pages</a></li> 
> #     </ul>
> # </div>
> # 
> # <div id="content">
> # 
> #     <div id="current">
> #         <h1>Welcome to MojoMojo!</h1>
> # 
> # <p>This is your front page. To start administering your wiki, please log in with
> # username admin/password admin. Once you login you will be able to configure your
> # new wiki. If you want to play around a little, just create
> # a <span class="newWikiWord"><a title="Not found. Click to create this page." href="/New_Page.edit">New Page?</a></span> or edit this one through the edit link at the top of the page.</p>
> # 
> # <h2>Need some assistance?</h2>
> # 
> # <p>Check out our <a class="existingWikiWord" href="/help">Help</a> section.</p>
> #   </div>
> # 
> #     <div id="changes" class="display-none">
> #         <p id="message">
> #             <small> Showing changes from previous revision. <del class="diffdel">Removed</del> | <ins class="diffins">Added</ins>
> #             </small>
> #         </p>
> #         <div id="diff"></div>
> #     </div>
> # 
> #     <div class="byline">
> #         <acronym title="Revised on 1970-01-01 at 00:00:00 by user">Revision</acronym> by <a class="existingWikiWord" href="/admin.profile">user</a>, 1970-01-01 </div>
> # 
> # </div> 
> # 
> #       <div id="tags"> <dl>
> #         <dt>My tags:</dt>
> #         <dd>&nbsp;  </dd>
> #         <dt>Popular tags:</dt>
> #         <dd>&nbsp;             <a class="tag" title="1"             href="http://localhost/.recent/bar_1341732054" >bar_1341732054</a>
> #                         <a class="tag" title="1"             href="http://localhost/.recent/baz_1341732054" >baz_1341732054</a>
> #                         <a class="tag" title="1"             href="http://localhost/.recent/foo_1341732054" >foo_1341732054</a>
> #                </dd>
> #     </dl>
> #      </div>  <div id="bottomnav">
> #         <ul>  
> #             <li><a title="Change page content" href="http://localhost/.edit"  defang_rel="nofollow">Edit page</a></li>     
> #             <li><a title="Page meta information" href="http://localhost/.info" accesskey="I">Page Info</a></li>     
> #             <li class="views-navbar">
> #                 <span class="title">Views: <a title="Format page for printing" href="http://localhost/.print">Print</a></span>
> #                 <a title="Subscribe to page changes" href="http://localhost/.rss">RSS</a>
> #                 <a title="Inline for including content" href="http://localhost/.inline" defang_rel="nofollow">Inline</a>  </li>  
> #             <li class="set-language-navbar">
> #                 <span class="title">Set language:</span> 
> #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=en">en</a> 
> #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=de">de</a> 
> #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=fr">fr</a> 
> #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=ja">ja</a> 
> #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=no">no</a> 
> #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=ca">ca</a> 
> #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=es">es</a> 
> #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=pl">pl</a> 
> #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=ru">ru</a> 
> #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=it">it</a> 
> #             </li>
> #         </ul>
> #     </div>
> # <div id="powered">
> #     <a href="http://www.catalystframework.org" target="_blank"><img src="http://localhost/.static/catalyst.png" alt="Powered by Catalyst" title="Powered by Catalyst" /></a>
> # </div>
> # 
> # </div>
> # 
> # <p><!--/*SC*/ end container /*EC*/-->
> # </body></p>
> # 
> # <p></html></p>
> # '
> #     doesn't match '(?^:\A<h1>Welcome\sto\sMojoMojo)'
> # Looks like you failed 4 tests of 7.
> t/formatter_include.t ........... 
> Dubious, test returned 4 (wstat 1024, 0x400)
> Failed 4/7 subtests 
> 	(less 1 skipped subtest: 2 okay)
> t/formatter_irclog.t ............ ok
> t/formatter_markdown.t .......... ok
> t/formatter_pod.t ............... ok
> t/formatter_redirect.t .......... ok
> t/formatter_rss.t ............... ok
> t/formatter_syntax_highlight.t .. ok
> t/formatter_textile.t ........... ok
> t/formatter_toc.t ............... ok
> t/formatter_wiki.t .............. ok
> t/formatter_wikipedialink.t ..... ok
> t/formatter_youtube.t ........... ok
> t/notabs.t ...................... ok
> t/permissions.t ................. ok
> t/revisions.t ................... ok
> t/schema_DBIC.t ................. ok
> t/schema_DBIC_Attachment.t ...... ok
> t/schema_DBIC_Content.t ......... ok
> t/schema_DBIC_Page.t ............ ok
> t/schema_DBIC_Person.t .......... ok
> t/schema_DBIC_Tag.t ............. ok
> t/selenium.t .................... skipped: Selenium tests need Test::WWW::Selenium::Catalyst
> t/special-page.t ................ ok
> t/unicode.t ..................... ok
> t/wikispaces2markdown.t ......... ok
> t/worddiff.t .................... ok
> 
> Test Summary Report
> -------------------
> t/formatter_include.t         (Wstat: 1024 Tests: 7 Failed: 4)
>   Failed tests:  3-6
>   Non-zero exit status: 4
> Files=58, Tests=924, 103 wallclock secs ( 0.26 usr  0.25 sys + 95.26 cusr  7.48 csys = 103.25 CPU)
> Result: FAIL
> Failed 1/58 test programs. 4/924 subtests failed.
> make[1]: *** [test_dynamic] Error 255

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/07/08/libmojomojo-perl_1.05+dfsg-2_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680796; Package src:libmojomojo-perl. (Mon, 09 Jul 2012 02:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 09 Jul 2012 02:57:04 GMT) Full text and rfc822 format available.

Message #10 received at 680796@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 680796@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#680796: libmojomojo-perl: FTBFS: tests failed
Date: Mon, 9 Jul 2012 04:56:14 +0200
[Message part 1 (text/plain, inline)]
tags 680796 + confirmed
thanks

On Sun, Jul 08, 2012 at 07:11:23PM +0200, Lucas Nussbaum wrote:
> Source: libmojomojo-perl
> Version: 1.05+dfsg-2
> Severity: serious
> Tags: wheezy sid
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20120708 qa-ftbfs
> Justification: FTBFS on amd64
> 
> Hi,
> 
> During a rebuild of all packages in sid, your package failed to build on
> amd64.

Confirmed, FTBFS both in wheezy and unstable.

Regards,
Salvatore
[signature.asc (application/pgp-signature, inline)]

Added tag(s) confirmed. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Mon, 09 Jul 2012 02:57:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680796; Package src:libmojomojo-perl. (Sat, 04 Aug 2012 21:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 04 Aug 2012 21:45:06 GMT) Full text and rfc822 format available.

Message #17 received at 680796@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 680796@bugs.debian.org
Subject: Re: Bug#680796: Lazy workaround for failing tests
Date: Sat, 4 Aug 2012 23:40:36 +0200
[Message part 1 (text/plain, inline)]
Hi

On Sun, Jul 08, 2012 at 07:11:23PM +0200, Lucas Nussbaum wrote:
> > 
> > #   Failed test 'include part of wiki, absolute URL'
> > #   at t/formatter_include.t line 24.
> > #                   '<p><!--/*SC*/DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/*EC*/-->
> > # <html defang_xmlns="http://www.w3.org/1999/xhtml" defang_xml:lang="en" lang="en"></p>
> > # 
> > # <p><head>
> > #     <title>  Help  - MojoMojo </title>  <meta http-equiv="Content-Type" defang_content="text/html; charset=utf-8" />
> > #     <meta defang_http-equiv="powered by" defang_content="MojoMojo 1.05" />
> > #     <!--defang_link defang_href="http://localhost/.static/css/jquery.autocomplete.css" type="text/css" defang_rel="stylesheet" /-->
> > #     <!--defang_link defang_rel="alternate" type="application/atom+xml" title="Atom" defang_href="http://localhost/help.atom" /-->
> > #     <!--defang_link defang_rel="alternate" type="application/rss+xml" title="RSS 2.0 Headlines" defang_href="http://localhost/help.rss" /-->
> > #     <!--defang_link defang_rel="alternate" type="application/rss+xml" title="RSS 2.0 Full" defang_href="http://localhost/help.rss_full" /-->  <!--defang_link defang_rel="canonical" defang_href="http://localhost/help.view" /-->  <!--defang_link defang_rel="shortcut icon" defang_href="http://localhost/.static/favicon.ico" /-->
> > #     <style type="text/css"><!----></style>
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.form.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.livequery.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.editinplace.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.autocomplete.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.cookies.2.0.1.min.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/wiki.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/swfupload.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/swfupload.queue.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/json/en.po.json"--><!--  --><!--/defang_script-->  <!--defang_script type="text/javascript"-->
> > #         <!-- jQuery.uri_for = function(path) { return 'http://localhost' + path }
> > #         jQuery.uri_for_static= function(path) { return 'http://localhost/.static//' + path } -->
> > #     <!--/defang_script-->
> > # </head></p>
> > # 
> > # <p><body id="page"></p>
> > # 
> > # <div id="container" class="container">   
> > # <div id="header">
> > #     <h1>    Help    </h1>
> > # </div> <div id="breadcrumbs">
> > #     <div class="float-left">  
> > #         <a href="http://localhost/">MojoMojo</a>   
> > #         / <a href="http://localhost/help">Help</a>   
> > #     </div>
> > # </div>
> > # <div id="toplinks"> 
> > #     <form action="http://localhost/help.search" method="get">   <ul>
> > #             <li><a href="http://localhost/.recent" title="Pages sorted by when they were last changed" accesskey="U">Recent</a></li>
> > #             <li><a href="http://localhost/.tags" title="All tags in this wiki" accesskey="T">Tags</a></li>
> > #             <li><a href="http://localhost/.users" title="Who wrote what" defang_accesskey="">Authors</a></li>
> > #             <li><a href="http://localhost/.feeds" title="Subscribe to changes by RSS" defang_accesskey="">Feeds</a></li>
> > #              <li> <input type="hidden" name="search_type" value="all" />
> > #                 <input type="text" id="searchField" name="q" style="" value="Search"/>
> > #             </li>
> > #         </ul>  </form>
> > # 
> > #     <ul id="toplinks-for-user">
> > #         <li><a href="http://localhost/help.register">Register</a></li>  <li><a href="http://localhost/help.login" title="Get in there" accesskey="L">Log in</a></li> 
> > #     </ul>
> > # </div>
> > # <div id="pagenav">
> > #     <ul> 
> > #         <li><a title="Change page content" href="http://localhost/help.edit"  accesskey="E"  defang_rel="nofollow">Edit page</a></li>    
> > #         <li>Gallery</li> 
> > #         <li><a href="http://localhost/help.attachments">Attachments</a></li>
> > #         <li><a href="http://localhost/help.subtree" title="Alphabetically sorted list of pages" accesskey="A">Sub pages</a></li> 
> > #     </ul>
> > # </div>
> > # 
> > # <div id="content">
> > # 
> > #     <div id="current">
> > #         <h1>Help Index</h1>
> > # 
> > # <p><div class="toc">
> > # <ul>
> > #    <li><a href="#Creating_Pages">Creating Pages</a>
> > #       <ul>
> > #          <li><a href="#Create_and_Follow_a_Wiki_Link">Create and Follow a Wiki Link</a></li>
> > #          <li><a href="#Browse_to_a_URL">Browse to a URL</a></li>
> > #       </ul>
> > #    </li>
> > #    <li><a href="#Wiki_Syntax">Wiki Syntax</a></li>
> > # </ul>
> > # </div><h2><a name="Creating_Pages"></a>Creating Pages</h2></p>
> > # 
> > # <h3><a name="Create_and_Follow_a_Wiki_Link"></a>Create and Follow a Wiki Link</h3>
> > # 
> > # <p>One way to create a new page is by creating a wiki link to it from another page.  For example, suppose I was working on a page about spoken languages and I want to link to a new page about Norwegian as type of spoken language.  Then I could create the link:</p>
> > # 
> > # <pre>[[Norwegian]]</pre>
> > # 
> > # <p>Subsequently, clicking on the link would take me into edit mode for the new page.</p>
> > # 
> > # <h3><a name="Browse_to_a_URL"></a>Browse to a URL</h3>
> > # 
> > # <p>You can also initiate a new page by browsing to the URL that you would like the page to reside at.  It's probably worth taking a moment to decide the hierarchy one would like.  Suppose for example, you want to write about the Catalan Language.  You may create a page at:</p>
> > # 
> > # <pre>/Languages/Spoken/Catalan</pre>
> > # 
> > # <p>On the other hand, you may want to write about the Perl computer programming language.  This could be done at:</p>
> > # 
> > # <pre>/Languages/Programming/Perl</pre>
> > # 
> > # <p>In either case, simply type in the URL of the page you want to create, then you will be prompted to create it.</p>
> > # 
> > # <h2><a name="Wiki_Syntax"></a>Wiki Syntax</h2>
> > # 
> > # <p>You can choose one of two wiki sytnax for you wiki.  Either <em>textile</em> or <em>markdown</em>.  See the Site Settings for the option to choose.    When in edit mode, one can access a help link to either wiki syntax.  One can also use or mixin HTML. </p>
> > #   </div>
> > # 
> > #     <div id="changes" class="display-none">
> > #         <p id="message">
> > #             <small> Showing changes from previous revision. <del class="diffdel">Removed</del> | <ins class="diffins">Added</ins>
> > #             </small>
> > #         </p>
> > #         <div id="diff"></div>
> > #     </div>
> > # 
> > #     <div class="byline">
> > #         <acronym title="Revised on 1970-01-01 at 00:00:00 by user">Revision</acronym> by <a class="existingWikiWord" href="/admin.profile">user</a>, 1970-01-01 </div>
> > # 
> > # </div> 
> > # 
> > #       <div id="tags"> <dl>
> > #         <dt>My tags:</dt>
> > #         <dd>&nbsp;  </dd>
> > #         <dt>Popular tags:</dt>
> > #         <dd>&nbsp;             <a class="tag" title="1"             href="http://localhost/help.recent/bar_1341732054" >bar_1341732054</a>
> > #                         <a class="tag" title="1"             href="http://localhost/help.recent/foo_1341732054" >foo_1341732054</a>
> > #                </dd>
> > #     </dl>
> > #      </div>  <div id="bottomnav">
> > #         <ul>  
> > #             <li><a title="Change page content" href="http://localhost/help.edit"  defang_rel="nofollow">Edit page</a></li>     
> > #             <li><a title="Page meta information" href="http://localhost/help.info" accesskey="I">Page Info</a></li>     
> > #             <li class="views-navbar">
> > #                 <span class="title">Views: <a title="Format page for printing" href="http://localhost/help.print">Print</a></span>
> > #                 <a title="Subscribe to page changes" href="http://localhost/help.rss">RSS</a>
> > #                 <a title="Inline for including content" href="http://localhost/help.inline" defang_rel="nofollow">Inline</a>  </li>  
> > #             <li class="set-language-navbar">
> > #                 <span class="title">Set language:</span> 
> > #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=en">en</a> 
> > #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=de">de</a> 
> > #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=fr">fr</a> 
> > #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=ja">ja</a> 
> > #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=no">no</a> 
> > #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=ca">ca</a> 
> > #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=es">es</a> 
> > #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=pl">pl</a> 
> > #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=ru">ru</a> 
> > #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=it">it</a> 
> > #             </li>
> > #         </ul>
> > #     </div>
> > # <div id="powered">
> > #     <a href="http://www.catalystframework.org" target="_blank"><img src="http://localhost/.static/catalyst.png" alt="Powered by Catalyst" title="Powered by Catalyst" /></a>
> > # </div>
> > # 
> > # </div>
> > # 
> > # <p><!--/*SC*/ end container /*EC*/-->
> > # </body></p>
> > # 
> > # <p></html></p>
> > # '
> > #     doesn't match '(?^:\A<h1>Help)'
> > 
> > #   Failed test 'include part of wiki, relative URL'
> > #   at t/formatter_include.t line 26.
> > #                   '<p><!--/*SC*/DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/*EC*/-->
> > # <html defang_xmlns="http://www.w3.org/1999/xhtml" defang_xml:lang="en" lang="en"></p>
> > # 
> > # <p><head>
> > #     <title>  Help  - MojoMojo </title>  <meta http-equiv="Content-Type" defang_content="text/html; charset=utf-8" />
> > #     <meta defang_http-equiv="powered by" defang_content="MojoMojo 1.05" />
> > #     <!--defang_link defang_href="http://localhost/.static/css/jquery.autocomplete.css" type="text/css" defang_rel="stylesheet" /-->
> > #     <!--defang_link defang_rel="alternate" type="application/atom+xml" title="Atom" defang_href="http://localhost/help.atom" /-->
> > #     <!--defang_link defang_rel="alternate" type="application/rss+xml" title="RSS 2.0 Headlines" defang_href="http://localhost/help.rss" /-->
> > #     <!--defang_link defang_rel="alternate" type="application/rss+xml" title="RSS 2.0 Full" defang_href="http://localhost/help.rss_full" /-->  <!--defang_link defang_rel="canonical" defang_href="http://localhost/help.view" /-->  <!--defang_link defang_rel="shortcut icon" defang_href="http://localhost/.static/favicon.ico" /-->
> > #     <style type="text/css"><!----></style>
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.form.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.livequery.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.editinplace.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.autocomplete.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.cookies.2.0.1.min.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/wiki.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/swfupload.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/swfupload.queue.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/json/en.po.json"--><!--  --><!--/defang_script-->  <!--defang_script type="text/javascript"-->
> > #         <!-- jQuery.uri_for = function(path) { return 'http://localhost' + path }
> > #         jQuery.uri_for_static= function(path) { return 'http://localhost/.static//' + path } -->
> > #     <!--/defang_script-->
> > # </head></p>
> > # 
> > # <p><body id="page"></p>
> > # 
> > # <div id="container" class="container">   
> > # <div id="header">
> > #     <h1>    Help    </h1>
> > # </div> <div id="breadcrumbs">
> > #     <div class="float-left">  
> > #         <a href="http://localhost/">MojoMojo</a>   
> > #         / <a href="http://localhost/help">Help</a>   
> > #     </div>
> > # </div>
> > # <div id="toplinks"> 
> > #     <form action="http://localhost/help.search" method="get">   <ul>
> > #             <li><a href="http://localhost/.recent" title="Pages sorted by when they were last changed" accesskey="U">Recent</a></li>
> > #             <li><a href="http://localhost/.tags" title="All tags in this wiki" accesskey="T">Tags</a></li>
> > #             <li><a href="http://localhost/.users" title="Who wrote what" defang_accesskey="">Authors</a></li>
> > #             <li><a href="http://localhost/.feeds" title="Subscribe to changes by RSS" defang_accesskey="">Feeds</a></li>
> > #              <li> <input type="hidden" name="search_type" value="all" />
> > #                 <input type="text" id="searchField" name="q" style="" value="Search"/>
> > #             </li>
> > #         </ul>  </form>
> > # 
> > #     <ul id="toplinks-for-user">
> > #         <li><a href="http://localhost/help.register">Register</a></li>  <li><a href="http://localhost/help.login" title="Get in there" accesskey="L">Log in</a></li> 
> > #     </ul>
> > # </div>
> > # <div id="pagenav">
> > #     <ul> 
> > #         <li><a title="Change page content" href="http://localhost/help.edit"  accesskey="E"  defang_rel="nofollow">Edit page</a></li>    
> > #         <li>Gallery</li> 
> > #         <li><a href="http://localhost/help.attachments">Attachments</a></li>
> > #         <li><a href="http://localhost/help.subtree" title="Alphabetically sorted list of pages" accesskey="A">Sub pages</a></li> 
> > #     </ul>
> > # </div>
> > # 
> > # <div id="content">
> > # 
> > #     <div id="current">
> > #         <h1>Help Index</h1>
> > # 
> > # <p><div class="toc">
> > # <ul>
> > #    <li><a href="#Creating_Pages">Creating Pages</a>
> > #       <ul>
> > #          <li><a href="#Create_and_Follow_a_Wiki_Link">Create and Follow a Wiki Link</a></li>
> > #          <li><a href="#Browse_to_a_URL">Browse to a URL</a></li>
> > #       </ul>
> > #    </li>
> > #    <li><a href="#Wiki_Syntax">Wiki Syntax</a></li>
> > # </ul>
> > # </div><h2><a name="Creating_Pages"></a>Creating Pages</h2></p>
> > # 
> > # <h3><a name="Create_and_Follow_a_Wiki_Link"></a>Create and Follow a Wiki Link</h3>
> > # 
> > # <p>One way to create a new page is by creating a wiki link to it from another page.  For example, suppose I was working on a page about spoken languages and I want to link to a new page about Norwegian as type of spoken language.  Then I could create the link:</p>
> > # 
> > # <pre>[[Norwegian]]</pre>
> > # 
> > # <p>Subsequently, clicking on the link would take me into edit mode for the new page.</p>
> > # 
> > # <h3><a name="Browse_to_a_URL"></a>Browse to a URL</h3>
> > # 
> > # <p>You can also initiate a new page by browsing to the URL that you would like the page to reside at.  It's probably worth taking a moment to decide the hierarchy one would like.  Suppose for example, you want to write about the Catalan Language.  You may create a page at:</p>
> > # 
> > # <pre>/Languages/Spoken/Catalan</pre>
> > # 
> > # <p>On the other hand, you may want to write about the Perl computer programming language.  This could be done at:</p>
> > # 
> > # <pre>/Languages/Programming/Perl</pre>
> > # 
> > # <p>In either case, simply type in the URL of the page you want to create, then you will be prompted to create it.</p>
> > # 
> > # <h2><a name="Wiki_Syntax"></a>Wiki Syntax</h2>
> > # 
> > # <p>You can choose one of two wiki sytnax for you wiki.  Either <em>textile</em> or <em>markdown</em>.  See the Site Settings for the option to choose.    When in edit mode, one can access a help link to either wiki syntax.  One can also use or mixin HTML. </p>
> > #   </div>
> > # 
> > #     <div id="changes" class="display-none">
> > #         <p id="message">
> > #             <small> Showing changes from previous revision. <del class="diffdel">Removed</del> | <ins class="diffins">Added</ins>
> > #             </small>
> > #         </p>
> > #         <div id="diff"></div>
> > #     </div>
> > # 
> > #     <div class="byline">
> > #         <acronym title="Revised on 1970-01-01 at 00:00:00 by user">Revision</acronym> by <a class="existingWikiWord" href="/admin.profile">user</a>, 1970-01-01 </div>
> > # 
> > # </div> 
> > # 
> > #       <div id="tags"> <dl>
> > #         <dt>My tags:</dt>
> > #         <dd>&nbsp;  </dd>
> > #         <dt>Popular tags:</dt>
> > #         <dd>&nbsp;             <a class="tag" title="1"             href="http://localhost/help.recent/bar_1341732054" >bar_1341732054</a>
> > #                         <a class="tag" title="1"             href="http://localhost/help.recent/foo_1341732054" >foo_1341732054</a>
> > #                </dd>
> > #     </dl>
> > #      </div>  <div id="bottomnav">
> > #         <ul>  
> > #             <li><a title="Change page content" href="http://localhost/help.edit"  defang_rel="nofollow">Edit page</a></li>     
> > #             <li><a title="Page meta information" href="http://localhost/help.info" accesskey="I">Page Info</a></li>     
> > #             <li class="views-navbar">
> > #                 <span class="title">Views: <a title="Format page for printing" href="http://localhost/help.print">Print</a></span>
> > #                 <a title="Subscribe to page changes" href="http://localhost/help.rss">RSS</a>
> > #                 <a title="Inline for including content" href="http://localhost/help.inline" defang_rel="nofollow">Inline</a>  </li>  
> > #             <li class="set-language-navbar">
> > #                 <span class="title">Set language:</span> 
> > #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=en">en</a> 
> > #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=de">de</a> 
> > #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=fr">fr</a> 
> > #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=ja">ja</a> 
> > #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=no">no</a> 
> > #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=ca">ca</a> 
> > #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=es">es</a> 
> > #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=pl">pl</a> 
> > #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=ru">ru</a> 
> > #                 <a href="http://localhost/help.set_lang?redir=http://localhost/help.view&amp;lang=it">it</a> 
> > #             </li>
> > #         </ul>
> > #     </div>
> > # <div id="powered">
> > #     <a href="http://www.catalystframework.org" target="_blank"><img src="http://localhost/.static/catalyst.png" alt="Powered by Catalyst" title="Powered by Catalyst" /></a>
> > # </div>
> > # 
> > # </div>
> > # 
> > # <p><!--/*SC*/ end container /*EC*/-->
> > # </body></p>
> > # 
> > # <p></html></p>
> > # '
> > #     doesn't match '(?^:\A<h1>Help)'
> > 
> > #   Failed test 'include the root page, absolute URL'
> > #   at t/formatter_include.t line 29.
> > #                   '<p><!--/*SC*/DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/*EC*/-->
> > # <html defang_xmlns="http://www.w3.org/1999/xhtml" defang_xml:lang="en" lang="en"></p>
> > # 
> > # <p><head>
> > #     <title>  /  - MojoMojo </title>  <meta http-equiv="Content-Type" defang_content="text/html; charset=utf-8" />
> > #     <meta defang_http-equiv="powered by" defang_content="MojoMojo 1.05" />
> > #     <!--defang_link defang_href="http://localhost/.static/css/jquery.autocomplete.css" type="text/css" defang_rel="stylesheet" /-->
> > #     <!--defang_link defang_rel="alternate" type="application/atom+xml" title="Atom" defang_href="http://localhost/.atom" /-->
> > #     <!--defang_link defang_rel="alternate" type="application/rss+xml" title="RSS 2.0 Headlines" defang_href="http://localhost/.rss" /-->
> > #     <!--defang_link defang_rel="alternate" type="application/rss+xml" title="RSS 2.0 Full" defang_href="http://localhost/.rss_full" /-->  <!--defang_link defang_rel="canonical" defang_href="http://localhost/.view" /-->  <!--defang_link defang_rel="shortcut icon" defang_href="http://localhost/.static/favicon.ico" /-->
> > #     <style type="text/css"><!----></style>
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.form.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.livequery.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.editinplace.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.autocomplete.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.cookies.2.0.1.min.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/wiki.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/swfupload.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/swfupload.queue.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/json/en.po.json"--><!--  --><!--/defang_script-->  <!--defang_script type="text/javascript"-->
> > #         <!-- jQuery.uri_for = function(path) { return 'http://localhost' + path }
> > #         jQuery.uri_for_static= function(path) { return 'http://localhost/.static//' + path } -->
> > #     <!--/defang_script-->
> > # </head></p>
> > # 
> > # <p><body id="page"></p>
> > # 
> > # <div id="container" class="container">   
> > # <div id="header">
> > #     <h1>    MojoMojo Home (/)    </h1>
> > # </div> <div id="breadcrumbs">
> > #     <div class="float-left">  
> > #         <a href="http://localhost/">MojoMojo</a>   
> > #     </div>
> > # </div>
> > # <div id="toplinks"> 
> > #     <form action="http://localhost/.search" method="get">   <ul>
> > #             <li><a href="http://localhost/.recent" title="Pages sorted by when they were last changed" accesskey="U">Recent</a></li>
> > #             <li><a href="http://localhost/.tags" title="All tags in this wiki" accesskey="T">Tags</a></li>
> > #             <li><a href="http://localhost/.users" title="Who wrote what" defang_accesskey="">Authors</a></li>
> > #             <li><a href="http://localhost/.feeds" title="Subscribe to changes by RSS" defang_accesskey="">Feeds</a></li>
> > #              <li> <input type="hidden" name="search_type" value="all" />
> > #                 <input type="text" id="searchField" name="q" style="" value="Search"/>
> > #             </li>
> > #         </ul>  </form>
> > # 
> > #     <ul id="toplinks-for-user">
> > #         <li><a href="http://localhost/.register">Register</a></li>  <li><a href="http://localhost/.login" title="Get in there" accesskey="L">Log in</a></li> 
> > #     </ul>
> > # </div>
> > # <div id="pagenav">
> > #     <ul> 
> > #         <li><a title="Change page content" href="http://localhost/.edit"  accesskey="E"  defang_rel="nofollow">Edit page</a></li>    
> > #         <li>Gallery</li> 
> > #         <li><a href="http://localhost/.attachments">Attachments</a></li>
> > #         <li><a href="http://localhost/.subtree" title="Alphabetically sorted list of pages" accesskey="A">Sub pages</a></li> 
> > #     </ul>
> > # </div>
> > # 
> > # <div id="content">
> > # 
> > #     <div id="current">
> > #         <h1>Welcome to MojoMojo!</h1>
> > # 
> > # <p>This is your front page. To start administering your wiki, please log in with
> > # username admin/password admin. Once you login you will be able to configure your
> > # new wiki. If you want to play around a little, just create
> > # a <span class="newWikiWord"><a title="Not found. Click to create this page." href="/New_Page.edit">New Page?</a></span> or edit this one through the edit link at the top of the page.</p>
> > # 
> > # <h2>Need some assistance?</h2>
> > # 
> > # <p>Check out our <a class="existingWikiWord" href="/help">Help</a> section.</p>
> > #   </div>
> > # 
> > #     <div id="changes" class="display-none">
> > #         <p id="message">
> > #             <small> Showing changes from previous revision. <del class="diffdel">Removed</del> | <ins class="diffins">Added</ins>
> > #             </small>
> > #         </p>
> > #         <div id="diff"></div>
> > #     </div>
> > # 
> > #     <div class="byline">
> > #         <acronym title="Revised on 1970-01-01 at 00:00:00 by user">Revision</acronym> by <a class="existingWikiWord" href="/admin.profile">user</a>, 1970-01-01 </div>
> > # 
> > # </div> 
> > # 
> > #       <div id="tags"> <dl>
> > #         <dt>My tags:</dt>
> > #         <dd>&nbsp;  </dd>
> > #         <dt>Popular tags:</dt>
> > #         <dd>&nbsp;             <a class="tag" title="1"             href="http://localhost/.recent/bar_1341732054" >bar_1341732054</a>
> > #                         <a class="tag" title="1"             href="http://localhost/.recent/baz_1341732054" >baz_1341732054</a>
> > #                         <a class="tag" title="1"             href="http://localhost/.recent/foo_1341732054" >foo_1341732054</a>
> > #                </dd>
> > #     </dl>
> > #      </div>  <div id="bottomnav">
> > #         <ul>  
> > #             <li><a title="Change page content" href="http://localhost/.edit"  defang_rel="nofollow">Edit page</a></li>     
> > #             <li><a title="Page meta information" href="http://localhost/.info" accesskey="I">Page Info</a></li>     
> > #             <li class="views-navbar">
> > #                 <span class="title">Views: <a title="Format page for printing" href="http://localhost/.print">Print</a></span>
> > #                 <a title="Subscribe to page changes" href="http://localhost/.rss">RSS</a>
> > #                 <a title="Inline for including content" href="http://localhost/.inline" defang_rel="nofollow">Inline</a>  </li>  
> > #             <li class="set-language-navbar">
> > #                 <span class="title">Set language:</span> 
> > #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=en">en</a> 
> > #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=de">de</a> 
> > #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=fr">fr</a> 
> > #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=ja">ja</a> 
> > #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=no">no</a> 
> > #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=ca">ca</a> 
> > #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=es">es</a> 
> > #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=pl">pl</a> 
> > #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=ru">ru</a> 
> > #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=it">it</a> 
> > #             </li>
> > #         </ul>
> > #     </div>
> > # <div id="powered">
> > #     <a href="http://www.catalystframework.org" target="_blank"><img src="http://localhost/.static/catalyst.png" alt="Powered by Catalyst" title="Powered by Catalyst" /></a>
> > # </div>
> > # 
> > # </div>
> > # 
> > # <p><!--/*SC*/ end container /*EC*/-->
> > # </body></p>
> > # 
> > # <p></html></p>
> > # '
> > #     doesn't match '(?^:\A<h1>Welcome\sto\sMojoMojo)'
> > 
> > #   Failed test 'include the root page, relative URL'
> > #   at t/formatter_include.t line 31.
> > #                   '<p><!--/*SC*/DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/*EC*/-->
> > # <html defang_xmlns="http://www.w3.org/1999/xhtml" defang_xml:lang="en" lang="en"></p>
> > # 
> > # <p><head>
> > #     <title>  /  - MojoMojo </title>  <meta http-equiv="Content-Type" defang_content="text/html; charset=utf-8" />
> > #     <meta defang_http-equiv="powered by" defang_content="MojoMojo 1.05" />
> > #     <!--defang_link defang_href="http://localhost/.static/css/jquery.autocomplete.css" type="text/css" defang_rel="stylesheet" /-->
> > #     <!--defang_link defang_rel="alternate" type="application/atom+xml" title="Atom" defang_href="http://localhost/.atom" /-->
> > #     <!--defang_link defang_rel="alternate" type="application/rss+xml" title="RSS 2.0 Headlines" defang_href="http://localhost/.rss" /-->
> > #     <!--defang_link defang_rel="alternate" type="application/rss+xml" title="RSS 2.0 Full" defang_href="http://localhost/.rss_full" /-->  <!--defang_link defang_rel="canonical" defang_href="http://localhost/.view" /-->  <!--defang_link defang_rel="shortcut icon" defang_href="http://localhost/.static/favicon.ico" /-->
> > #     <style type="text/css"><!----></style>
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.form.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.livequery.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.editinplace.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.autocomplete.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/jquery.cookies.2.0.1.min.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/wiki.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/swfupload.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/js/swfupload.queue.js"--><!--  --><!--/defang_script-->
> > #     <!--defang_script type="text/javascript" src="http://localhost/.static/json/en.po.json"--><!--  --><!--/defang_script-->  <!--defang_script type="text/javascript"-->
> > #         <!-- jQuery.uri_for = function(path) { return 'http://localhost' + path }
> > #         jQuery.uri_for_static= function(path) { return 'http://localhost/.static//' + path } -->
> > #     <!--/defang_script-->
> > # </head></p>
> > # 
> > # <p><body id="page"></p>
> > # 
> > # <div id="container" class="container">   
> > # <div id="header">
> > #     <h1>    MojoMojo Home (/)    </h1>
> > # </div> <div id="breadcrumbs">
> > #     <div class="float-left">  
> > #         <a href="http://localhost/">MojoMojo</a>   
> > #     </div>
> > # </div>
> > # <div id="toplinks"> 
> > #     <form action="http://localhost/.search" method="get">   <ul>
> > #             <li><a href="http://localhost/.recent" title="Pages sorted by when they were last changed" accesskey="U">Recent</a></li>
> > #             <li><a href="http://localhost/.tags" title="All tags in this wiki" accesskey="T">Tags</a></li>
> > #             <li><a href="http://localhost/.users" title="Who wrote what" defang_accesskey="">Authors</a></li>
> > #             <li><a href="http://localhost/.feeds" title="Subscribe to changes by RSS" defang_accesskey="">Feeds</a></li>
> > #              <li> <input type="hidden" name="search_type" value="all" />
> > #                 <input type="text" id="searchField" name="q" style="" value="Search"/>
> > #             </li>
> > #         </ul>  </form>
> > # 
> > #     <ul id="toplinks-for-user">
> > #         <li><a href="http://localhost/.register">Register</a></li>  <li><a href="http://localhost/.login" title="Get in there" accesskey="L">Log in</a></li> 
> > #     </ul>
> > # </div>
> > # <div id="pagenav">
> > #     <ul> 
> > #         <li><a title="Change page content" href="http://localhost/.edit"  accesskey="E"  defang_rel="nofollow">Edit page</a></li>    
> > #         <li>Gallery</li> 
> > #         <li><a href="http://localhost/.attachments">Attachments</a></li>
> > #         <li><a href="http://localhost/.subtree" title="Alphabetically sorted list of pages" accesskey="A">Sub pages</a></li> 
> > #     </ul>
> > # </div>
> > # 
> > # <div id="content">
> > # 
> > #     <div id="current">
> > #         <h1>Welcome to MojoMojo!</h1>
> > # 
> > # <p>This is your front page. To start administering your wiki, please log in with
> > # username admin/password admin. Once you login you will be able to configure your
> > # new wiki. If you want to play around a little, just create
> > # a <span class="newWikiWord"><a title="Not found. Click to create this page." href="/New_Page.edit">New Page?</a></span> or edit this one through the edit link at the top of the page.</p>
> > # 
> > # <h2>Need some assistance?</h2>
> > # 
> > # <p>Check out our <a class="existingWikiWord" href="/help">Help</a> section.</p>
> > #   </div>
> > # 
> > #     <div id="changes" class="display-none">
> > #         <p id="message">
> > #             <small> Showing changes from previous revision. <del class="diffdel">Removed</del> | <ins class="diffins">Added</ins>
> > #             </small>
> > #         </p>
> > #         <div id="diff"></div>
> > #     </div>
> > # 
> > #     <div class="byline">
> > #         <acronym title="Revised on 1970-01-01 at 00:00:00 by user">Revision</acronym> by <a class="existingWikiWord" href="/admin.profile">user</a>, 1970-01-01 </div>
> > # 
> > # </div> 
> > # 
> > #       <div id="tags"> <dl>
> > #         <dt>My tags:</dt>
> > #         <dd>&nbsp;  </dd>
> > #         <dt>Popular tags:</dt>
> > #         <dd>&nbsp;             <a class="tag" title="1"             href="http://localhost/.recent/bar_1341732054" >bar_1341732054</a>
> > #                         <a class="tag" title="1"             href="http://localhost/.recent/baz_1341732054" >baz_1341732054</a>
> > #                         <a class="tag" title="1"             href="http://localhost/.recent/foo_1341732054" >foo_1341732054</a>
> > #                </dd>
> > #     </dl>
> > #      </div>  <div id="bottomnav">
> > #         <ul>  
> > #             <li><a title="Change page content" href="http://localhost/.edit"  defang_rel="nofollow">Edit page</a></li>     
> > #             <li><a title="Page meta information" href="http://localhost/.info" accesskey="I">Page Info</a></li>     
> > #             <li class="views-navbar">
> > #                 <span class="title">Views: <a title="Format page for printing" href="http://localhost/.print">Print</a></span>
> > #                 <a title="Subscribe to page changes" href="http://localhost/.rss">RSS</a>
> > #                 <a title="Inline for including content" href="http://localhost/.inline" defang_rel="nofollow">Inline</a>  </li>  
> > #             <li class="set-language-navbar">
> > #                 <span class="title">Set language:</span> 
> > #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=en">en</a> 
> > #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=de">de</a> 
> > #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=fr">fr</a> 
> > #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=ja">ja</a> 
> > #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=no">no</a> 
> > #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=ca">ca</a> 
> > #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=es">es</a> 
> > #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=pl">pl</a> 
> > #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=ru">ru</a> 
> > #                 <a href="http://localhost/.set_lang?redir=http://localhost/.view&amp;lang=it">it</a> 
> > #             </li>
> > #         </ul>
> > #     </div>
> > # <div id="powered">
> > #     <a href="http://www.catalystframework.org" target="_blank"><img src="http://localhost/.static/catalyst.png" alt="Powered by Catalyst" title="Powered by Catalyst" /></a>
> > # </div>
> > # 
> > # </div>
> > # 
> > # <p><!--/*SC*/ end container /*EC*/-->
> > # </body></p>
> > # 
> > # <p></html></p>
> > # '
> > #     doesn't match '(?^:\A<h1>Welcome\sto\sMojoMojo)'
> > # Looks like you failed 4 tests of 7.
> > t/formatter_include.t ........... 
> > Dubious, test returned 4 (wstat 1024, 0x400)
> > Failed 4/7 subtests 
> > 	(less 1 skipped subtest: 2 okay)
> > t/formatter_irclog.t ............ ok
> > t/formatter_markdown.t .......... ok
> > t/formatter_pod.t ............... ok
> > t/formatter_redirect.t .......... ok
> > t/formatter_rss.t ............... ok
> > t/formatter_syntax_highlight.t .. ok
> > t/formatter_textile.t ........... ok
> > t/formatter_toc.t ............... ok
> > t/formatter_wiki.t .............. ok
> > t/formatter_wikipedialink.t ..... ok
> > t/formatter_youtube.t ........... ok
> > t/notabs.t ...................... ok
> > t/permissions.t ................. ok
> > t/revisions.t ................... ok
> > t/schema_DBIC.t ................. ok
> > t/schema_DBIC_Attachment.t ...... ok
> > t/schema_DBIC_Content.t ......... ok
> > t/schema_DBIC_Page.t ............ ok
> > t/schema_DBIC_Person.t .......... ok
> > t/schema_DBIC_Tag.t ............. ok
> > t/selenium.t .................... skipped: Selenium tests need Test::WWW::Selenium::Catalyst
> > t/special-page.t ................ ok
> > t/unicode.t ..................... ok
> > t/wikispaces2markdown.t ......... ok
> > t/worddiff.t .................... ok
> > 
> > Test Summary Report
> > -------------------
> > t/formatter_include.t         (Wstat: 1024 Tests: 7 Failed: 4)
> >   Failed tests:  3-6
> >   Non-zero exit status: 4
> > Files=58, Tests=924, 103 wallclock secs ( 0.26 usr  0.25 sys + 95.26 cusr  7.48 csys = 103.25 CPU)
> > Result: FAIL
> > Failed 1/58 test programs. 4/924 subtests failed.
> > make[1]: *** [test_dynamic] Error 255

A (really!) lazy workaround for this would be to remove the matching
at the beginning of the string (or disable the tests).

I have checked the issue-Tracker on github, at least it does not seem
reported yet upstream.

Salvatore
[680796-workaround-FTBFS.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680796; Package src:libmojomojo-perl. (Sun, 05 Aug 2012 00:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 05 Aug 2012 00:06:03 GMT) Full text and rfc822 format available.

Message #22 received at 680796@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>, 680796@bugs.debian.org
Subject: Re: Bug#680796: Lazy workaround for failing tests
Date: Sun, 5 Aug 2012 02:03:24 +0200
[Message part 1 (text/plain, inline)]
On Sat, 04 Aug 2012 23:40:36 +0200, Salvatore Bonaccorso wrote:

> A (really!) lazy workaround for this would be to remove the matching
> at the beginning of the string (or disable the tests).

Yup, not elegant but the content of the pages ("<h1>Help" etc.) seem
to be there, there's just more before that.

> Description: Woraround FTBFS due tests failures
>  Woraround by removing the matching at the beginning of the string
>  as it seems now the <h1> tags are not anymore at the beginning of
>  the strings.

s/Woraround/Workaround/g
:)

> -# match against the start of the string, \A, to make sure no page cruft gets included besides the content
> -content_like('/.jsrpc/render?content=%7B%7Binclude http://localhost/help%7D%7D', qr/\A<h1>Help/,
> +content_like('/.jsrpc/render?content=%7B%7Binclude http://localhost/help%7D%7D', qr/<h1>Help/,
>               'include part of wiki, absolute URL');

I have to admit that the comment about \A makes ma a bit nervous ...


Hm, and what's also weird in the test output is the fact that quite a
few HTML elements are wrapped in an additional <p>...</p> which seems
wrong to me. So, maybe, there is a real problem somewhere?


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Paul McCartney: I Got Stung
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680796; Package src:libmojomojo-perl. (Sun, 05 Aug 2012 22:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 05 Aug 2012 22:03:08 GMT) Full text and rfc822 format available.

Message #27 received at 680796@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>
To: gregor herrmann <gregoa@debian.org>, 680796@bugs.debian.org
Cc: Salvatore Bonaccorso <carnil@debian.org>
Subject: Re: Bug#680796: Lazy workaround for failing tests
Date: Sun, 5 Aug 2012 23:42:16 +0200
On Sun, Aug 05, 2012 at 02:03:24AM +0200, gregor herrmann wrote:
> On Sat, 04 Aug 2012 23:40:36 +0200, Salvatore Bonaccorso wrote:
> > -# match against the start of the string, \A, to make sure no page cruft gets included besides the content
> > -content_like('/.jsrpc/render?content=%7B%7Binclude http://localhost/help%7D%7D', qr/\A<h1>Help/,
> > +content_like('/.jsrpc/render?content=%7B%7Binclude http://localhost/help%7D%7D', qr/<h1>Help/,
> >               'include part of wiki, absolute URL');
> 
> I have to admit that the comment about \A makes ma a bit nervous ...
> 
> 
> Hm, and what's also weird in the test output is the fact that quite a
> few HTML elements are wrapped in an additional <p>...</p> which seems
> wrong to me. So, maybe, there is a real problem somewhere?

I think you're right to be suspicious about this. I have to stop now,
but my debugging so far says this:

MojoMojo::Formatter::Include::inline() correctly determines that a page
from the same wiki is to be included, and starts a subreq for '/inline'
with the appropriate path set.

Yet, MojoMojo::Controller::Page::inline(), which sets the template for a
content-only version of the page, is never called, and the content is
rendered directly by the view script, with a wrong template (patching
view() to use page/inline.tt makes unmodified t/formatter_include.t
pass!)

Catalyst::Plugin::SubRequest has had an update recently "0.19 Fixed
non-propagation of parameters to subrequests"... but applying the diff
to my chroot-installed version didn't make a difference :-(

So: why does Catalyst::Action call MojoMojo::Controller::Page->view
rather than MojoMojo::Controller::Page->inline?

Florian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680796; Package src:libmojomojo-perl. (Mon, 06 Aug 2012 21:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 06 Aug 2012 21:12:03 GMT) Full text and rfc822 format available.

Message #32 received at 680796@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>
To: 680796@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#680796: Lazy workaround for failing tests
Date: Mon, 6 Aug 2012 23:08:47 +0200
forwarded 680796 https://rt.cpan.org/Public/Bug/Display.html?id=78821
thanks

downgrading Catalyst-Plugin-SubRequest (part of
libcatalyst-modules-perl) from 0.18 to 0.17 fixes the test failure.
Version 0.18 Changes reads "Major refactor using Plack"

I'm not reassigning to libcatalyst-modules-perl yet, because I'm in no
position to judge whether MojoMojo is using the the API correctly, or
what part of the not-that-big refactor is causing the breakage.
Hopefully, upstream can sort this out.

I note that a wishlist bug calls for Catalyst-Plugin-SubRequest to be
deprecated (https://rt.cpan.org/Public/Bug/Display.html?id=57544); on
the other hand, http://mojomojo.org/ seems to be thoroughly and
permanently vandalized...

Florian



Set Bug forwarded-to-address to 'https://rt.cpan.org/Public/Bug/Display.html?id=78821'. Request was from Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE> to control@bugs.debian.org. (Mon, 06 Aug 2012 21:27:03 GMT) Full text and rfc822 format available.

Reply sent to Florian Schlichting <fschlich@zedat.fu-berlin.de>:
You have taken responsibility. (Tue, 07 Aug 2012 19:21:09 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 07 Aug 2012 19:21:09 GMT) Full text and rfc822 format available.

Message #39 received at 680796-close@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fschlich@zedat.fu-berlin.de>
To: 680796-close@bugs.debian.org
Subject: Bug#680796: fixed in libmojomojo-perl 1.05+dfsg-3
Date: Tue, 07 Aug 2012 19:17:38 +0000
Source: libmojomojo-perl
Source-Version: 1.05+dfsg-3

We believe that the bug you reported is fixed in the latest version of
libmojomojo-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 680796@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Florian Schlichting <fschlich@zedat.fu-berlin.de> (supplier of updated libmojomojo-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 07 Aug 2012 20:35:24 +0200
Source: libmojomojo-perl
Binary: libmojomojo-perl
Architecture: source all
Version: 1.05+dfsg-3
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Florian Schlichting <fschlich@zedat.fu-berlin.de>
Description: 
 libmojomojo-perl - wiki- and blog-inspired content management system
Closes: 680796
Changes: 
 libmojomojo-perl (1.05+dfsg-3) unstable; urgency=low
 .
   * Team upload.
   * Fix FTBFS caused by updated Catalyst::Plugins::SubRequest.
     Closes: #680796
Checksums-Sha1: 
 84be5bdf84fc624674921facd83f2519bc29dffe 3847 libmojomojo-perl_1.05+dfsg-3.dsc
 4f9b7b858f3fd8e0c69daf5fce692a3d3ea0ed32 8876 libmojomojo-perl_1.05+dfsg-3.debian.tar.gz
 d3fa67aba001d5332688f4b8a128ccb8ce23ba33 1101788 libmojomojo-perl_1.05+dfsg-3_all.deb
Checksums-Sha256: 
 26bcb7d0172ff6c78c286cb32d063a15aa3dd36901bd709199a15c1e82172567 3847 libmojomojo-perl_1.05+dfsg-3.dsc
 445a24e3a1ec42f8fb45de8ac1a1decae3d72177c28fdcb1e25d16eca90e7b16 8876 libmojomojo-perl_1.05+dfsg-3.debian.tar.gz
 72f3fd3371d4d3d8e3a348c77f8d678155208f69fc722ffddb382d45ba88487f 1101788 libmojomojo-perl_1.05+dfsg-3_all.deb
Files: 
 0ce02317a91bf2352b56dee38d4de18c 3847 perl optional libmojomojo-perl_1.05+dfsg-3.dsc
 89cfd1a6c1659b77228c82337fda5abc 8876 perl optional libmojomojo-perl_1.05+dfsg-3.debian.tar.gz
 37cc6f2d477d9a8e7c9f40c2b8b29a0e 1101788 perl optional libmojomojo-perl_1.05+dfsg-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQIWbVAAoJEHidbwV/2GP+RgYP/06CC32pwUUrmr9wC+01maq+
aEe2JX/oTwjQBNNWLwFA+j2IGp2gcrtL6YfXwXcONRj/7zdn1W1nmgppJE7owxpz
9U4Qc+id2QEGu4uGt2XJbMFwG68lH711C0QfZls/NZHuEL4th252/tgX34zXNEiv
Fsy91Ea4TroMdDM9aY4R1JI6KDols/46USilgNcO9E/va4WssYC/PljORgqdnU9C
lGWByq9rs4CX87mqLmTpA7EG7sO2LxslXiJa2amhLNl9aAkJDzv8etNsU6ZeX8Aq
0Vsd5dMOCBBd7LUiNkwlXGHp5Jmrmy3cx/7Ye0s6YPCgSs0Xwby8Puc/70Qxjnt/
oFdg7NvUmOyouG9AOlWMK5hRUfEAt6+G383icmflldDFuSsUykWcLePMwefJRTgA
Tsglgeax/dRoen5ff2bZchLtAxIta0bZbrQ3q3gRb2mdFpjP/lmO93dzUqaIZln5
HoGpNyEro5IfZVwv+fGY6MNjH7s0ScVVKrLXtpIAlPEpsZwPkuzKJ/21GalKg3cX
P2oWG0w6GrCudTwWajLOX0hxWCqXZjgUVKtsIDnZYkCjKzzMzF+R/mpxkMo67ENG
yhyi/MoxJ3j6wJnK8Bck75oBA/rA7pX+ojox37UAC9A/q1qoUXVeuAj+3b3whg/X
LWg6mcZ5Qt9ZFbqtw/VQ
=ZVT2
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 15 Sep 2012 07:28:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:29:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.